net.sf.jasperreports.engine.export

## Interface JRHtmlReportConfiguration

- All Superinterfaces:
    CommonExportConfiguration, HtmlReportConfiguration, ReportExportConfiguration

  Deprecated.
  To be removed.

      public interface JRHtmlReportConfiguration
      extends HtmlReportConfiguration

  Version:
    $Id: JRHtmlExporterConfiguration.java 6710 2013-11-08 14:40:59Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_FRAMES_AS_NESTED_TABLES` Deprecated. This property serves as default value for the `isFramesAsNestedTables()` export configuration flag.

    - ### Fields inherited from interface net.sf.jasperreports.export.HtmlReportConfiguration

      `PROPERTY_ACCESSIBLE, PROPERTY_BORDER_COLLAPSE, PROPERTY_IGNORE_HYPERLINK, PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS, PROPERTY_SIZE_UNIT, PROPERTY_WHITE_PAGE_BACKGROUND, PROPERTY_WRAP_BREAK_WORD`

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isFramesAsNestedTables()` Deprecated. Indicates whether `frames` are to be exported as nested HTML tables.

    - ### Methods inherited from interface net.sf.jasperreports.export.HtmlReportConfiguration

      `getBorderCollapse, getSizeUnit, getZoomRatio, isAccessibleHtml, isIgnoreHyperlink, isIgnorePageMargins, isRemoveEmptySpaceBetweenRows, isWhitePageBackground, isWrapBreakWord`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_FRAMES_AS_NESTED_TABLES

          static final java.lang.String PROPERTY_FRAMES_AS_NESTED_TABLES

      Deprecated.
      This property serves as default value for the `isFramesAsNestedTables()` export configuration flag.

      The property itself defaults to `true`.

      See Also:
        `JRPropertiesUtil`, Constant Field Values

  - ### Method Detail

    - #### isFramesAsNestedTables

          java.lang.Boolean isFramesAsNestedTables()

      Deprecated.
      Indicates whether `frames` are to be exported as nested HTML tables.

      If set to `false`, the frame contents will be integrated into the master/page HTML table. This can be useful when exporting frames as nested tables causes output misalignments.

      See Also:
        `PROPERTY_FRAMES_AS_NESTED_TABLES`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com